# Copyright (C) 2026 BoundWare LLC. All rights reserved.
# SnacTrac is licensed under the Apache License, Version 2.0
# See Licenses/LICENSE.txt for details.


# Return cleaned items data for store window.
def clean_items_store(data_items):

    data_items_cleaned = [item.copy() for item in data_items]

    for item in data_items_cleaned:

        del item[6]

        item.append(item.pop(3))

    data_items_cleaned.sort(key=lambda item: item[0])

    return data_items_cleaned
